=== debian/changelog ===
libonig (6.9.7.1-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:14:10 +0100

libonig (6.9.7.1-2) unstable; urgency=medium

  * Upload into unstable.
  * Declare compliance with Debian Policy 4.6.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 18 Aug 2021 21:54:59 +0200

libonig (6.9.7.1-1) experimental; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 26 Apr 2021 18:07:46 +0200
