=== debian/control ===
Source: libonig
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/kkos/oniguruma
Vcs-Git: git://jff.email/opt/git/libonig.git
Vcs-Browser: https://jff.email/cgit/libonig.git

Package: libonig5
Priority: optional
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: regular expressions library
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.

Package: libonig-dev
Section: libdevel
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 libonig5 (= ${binary:Version})
Description: regular expressions library — development files
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.
 .
 This package provides development files and static libraries.
