## libonig 6.9.8

=== debian/changelog ===
libonig (6.9.8-1) unstable; urgency=medium

  * New Upstream release.
    - Remove upstream applied patches:
      + 0100-source_typos.patch
  * debian/copyright:
    - Add year 2022 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 30 Apr 2022 10:37:23 +0200
