=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libonig
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 13)
 Standards-Version: 4.6.0
