## libonig 6.9.10

=== debian/changelog ===
libonig (6.9.10-1) unstable; urgency=medium

  * New upstream release:
    - Fixes build failure with GCC 15 (C23) (Closes: #1097239).
    - Refresh symbols file accordingly.
  * Declare compliance with Debian Policy 4.7.2 (No changes needed).
  * debian/copyright:
    - Add year 2025 to myself.
    - Add year 2024 to K.Kosako.
    - Rewrite to make lrc happy.
    - Fix old FSF address.
  * debian/control:
    - Change Vcs-Git from git: to https:.
  * Remove obsolate debian/patches/0100-source_typos.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 11 Sep 2025 19:08:56 +0200
