=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 13)
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/kkos/oniguruma
-Vcs-Git: git://git.jff.email/libonig.git
+Vcs-Git: https://git.jff.email/cgit/libonig.git
 Vcs-Browser: https://git.jff.email/cgit/libonig.git
 
 Package: libonig5
